%define git 20120716
%define rel 12

Name:		cpulimit
Version:	1.2
Release:	%mkrel -c git%{git} %rel
Summary:	CPU Usage Limiter
URL:		https://github.com/opsengine/cpulimit
#git clone git://github.com/opsengine/cpulimit.git cpulimit-git`date +%Y%m%d` && rm -rf cpulimit-*/.git* && tar Jcvf cpulimit-git`date +%Y%m%d`.tar.xz cpulimit-git`date +%Y%m%d` && rm -rf cpulimit-git`date +%Y%m%d`
Source:		%{name}-git%{git}.tar.xz
Patch0:		0000-fix-includes.patch
Patch1:		0001-incompatible-pointer-type.patch
License:	GPLv2+
Group:		Monitoring
%description
cpulimit is a tool which limits the CPU usage of a process (expressed
in percentage, not in CPU time). It is useful to control batch jobs,
when you don't want them to eat too many CPU cycles.
The goal is prevent a process from running for more than a specified
time ratio. It does not change the nice value or other scheduling
priority settings, but the real CPU usage.
Also, it is able to adapt itself to the overall system load,
dynamically and quickly.
The control of the used cpu amount is done sending SIGSTOP and
SIGCONT POSIX signals to processes.
All the children processes and threads of the specified process will
share the same percent of CPU.

%prep
%setup -q -n %{name}-git%{git}
%autopatch -p1

%build
%make_build

%install
%{__mkdir} -p %{buildroot}%{_bindir}
%{__cp} -p src/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README
%{_bindir}/%{name}


%changelog
* Tue May 13 2025 ns80 <ns80> 1.2-0.git20120716.12.mga10
+ Revision: 2182959
- add a patch from Fedora to try to fix building with GCC 15

* Sat Dec 21 2024 pterjan <pterjan> 1.2-0.git20120716.11.mga10
+ Revision: 2127164
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 1.2-0.git20120716.10.mga9
+ Revision: 1792948
- Mageia 9 Mass Rebuild

* Thu Nov 26 2020 tv <tv> 1.2-0.git20120716.9.mga8
+ Revision: 1649502
- fix building with glibc-2.32

* Wed Feb 12 2020 umeabot <umeabot> 1.2-0.git20120716.8.mga8
+ Revision: 1511474
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2-0.git20120716.7.mga7
+ Revision: 1296895
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2-0.git20120716.6.mga6
+ Revision: 942642
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-0.git20120716.5.mga5
+ Revision: 744802
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-0.git20120716.4.mga5
+ Revision: 678577
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-0.git20120716.3.mga4
+ Revision: 503533
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2-0.git20120716.2.mga3
+ Revision: 348273
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 16 2012 dams <dams> 1.2-0.git20120716.1.mga3
+ Revision: 271376
- clean specfile
- use gitsnapshot as 1.1 is a very old release
- import to close mga#5821
- imported package cpulimit


* Wed Mar 10 2010 Michael Scherer <misc@mandriva.org> 1.1-6mdv2010.1
+ Revision: 517594
- add a README file in documentation

* Wed Nov 11 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.1-5mdv2010.1
+ Revision: 464398
- Update to latest svn release, should fix segfault issues
- Fixed license tag

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 1.1-4mdv2010.0
+ Revision: 425249
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.1-3mdv2009.0
+ Revision: 243724
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1-1mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 27 2007 Nicolas Vigier <nvigier@mandriva.com> 1.1-1mdv2008.0
+ Revision: 56274
- Import cpulimit

